List lead list
curl --request GET \
--url https://api.instantly.ai/api/v2/lead-lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/lead-lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/lead-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/lead-lists")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/lead-lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/lead-lists"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a082d0-332a-7b85-86b6-dfedbe9e8e77",
"organization_id": "01a082d0-332a-7b85-86b6-dfee0443632b",
"name": "My Lead List",
"timestamp_created": "2026-09-08T20:57:57.802Z",
"has_enrichment_task": false,
"owned_by": "01a082d0-332a-7b85-86b6-dfefd645df32"
}
],
"next_starting_after": "01a082d0-8418-7ea4-974d-098a8cc1a79f"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Lead List
List lead list
Requires one of the following scopes: lead_lists:read, lead_lists:all, all:read, all:all
GET
/
api
/
v2
/
lead-lists
List lead list
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of items to return
Required range:
1 <= x <= 100Example:
10
The starting after timestamp to filter lead lists by.
Example:
"2025-03-07T00:00:00.000Z"
Whether the list has an enrichment task.
Example:
true
The search query to filter lead lists by.
Example:
"Summer 2025 List"
Response
The list of Lead List
The list of Lead List
Show child attributes
Show child attributes
The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API
Examples:
"01a082d0-8418-7ea4-974d-098a8cc1a79f"
"2026-09-08T20:58:18.520Z"